# Class DatabricksValidationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
com.databricks.jdbc.exception.DatabricksSQLException
com.databricks.jdbc.exception.DatabricksValidationException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public class DatabricksValidationException extends DatabricksSQLException
Top level exception for Databricks driver

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DatabricksValidationException(String reason)`
`DatabricksValidationException(String reason, int vendorCode)`
`DatabricksValidationException(String reason, Throwable e)`

## Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### DatabricksValidationException

public DatabricksValidationException(String reason, Throwable e)

### DatabricksValidationException

public DatabricksValidationException(String reason)

### DatabricksValidationException

public DatabricksValidationException(String reason, int vendorCode)